import { URL } from './client/url';
export interface BuildProps {
}
export interface InitialProps {
    params: {
        [param: string]: string;
    };
    url: URL;
}
export { default as Document } from './lib/document';
export { default as Router } from './lib/router';
export { default as Link } from './lib/link';
export { default as Head } from './lib/head';
export { URL, parse } from './client/url';
export { QS } from './client/qs';
export interface Route {
    path: string;
    regexp: string;
    params: (string | number)[];
}
export interface Params {
    environment: string;
    outpath: string;
    target: string;
    action: string;
    root: string;
    routes: Route[];
    port?: number;
}
