import { Params } from '../../elmo';
export declare const development: (_params: Params) => {
    sourceMaps: boolean;
    presets: (string | {
        targets: {
            chrome: number;
            node: number;
        };
    })[][];
    plugins: (string | (string | {
        pragma: string;
    })[])[];
};
export declare const production: (_params: Params) => {
    sourceMaps: boolean;
    presets: string[];
    plugins: (string | (string | {
        polyfill: boolean;
        useBuiltIns: boolean;
        useESModules: boolean;
    })[] | (string | {
        pragma: string;
    })[])[];
};
export declare const typescript: (_params: Params) => {
    sourceMaps: boolean;
    plugins: (string | (string | {
        pragma: string;
    })[])[];
};
