"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var readdir = require("recursive-readdir");
var path_1 = require("path");
var equal_1 = require("./equal");
function contains(filepath, expected) {
    return tslib_1.__awaiter(this, void 0, void 0, function () {
        var files, relatives;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, readdir(filepath)];
                case 1:
                    files = _a.sent();
                    relatives = files.map(function (file) { return path_1.relative(filepath, file); });
                    equal_1["default"](relatives.sort(), expected.sort());
                    return [2 /*return*/];
            }
        });
    });
}
exports["default"] = contains;
