"use strict";
exports.__esModule = true;
var pretty = require("pretty-format");
var assert = require("assert");
var diffie_1 = require("diffie");
function equal(actual, expected) {
    try {
        assert.equal(pretty(actual), pretty(expected));
    }
    catch (e) {
        console.log('Expected:\n');
        console.log(pretty(expected));
        console.log('\nActual:\n');
        console.log(pretty(actual));
        console.log('\nDifference:\n');
        console.log(diffie_1["default"](expected, actual));
        console.log();
        throw { message: '' };
    }
}
exports["default"] = equal;
