type Pkg = {
  routes?: {
    [s: string]: string
  }
}

export default async function Package(
  path: string
): Promise<{ [s: string]: string }> {
  const pkg: Pkg = require(path)
  if (pkg.routes) return pkg.routes
  return {}
}
