// TODO: this is an incomplete parser
// Here's a better one: https://github.com/netlify/netlify-playground/blob/master/src/Redirects/Parser.elm

import { readFile } from 'mz/fs'

export type Routes = {
  [route: string]: string
}

export default async function Redirects(path: string): Promise<Routes> {
  const contents = await readFile(path, 'utf8')
  const routes = contents
    .split(/\n/)
    .map(trim)
    .filter(ignoreComments)
    .reduce(parseRule, {})
  return routes
}

function trim(line: string): string {
  return line.trim()
}

function ignoreComments(rule: string): boolean {
  return rule[0] !== '#'
}

function parseRule(routes: Routes, line: string) {
  const [route, redirect] = line.split(/\s+/)
  routes[route] = redirect
  return routes
}
